Summary:	Easy-to-use tool for creating and maintaining portable makefiles
Name:		tmake
Version:	1.10
Release:	2mdk
Group:		Development/Other
License:        Distributable (see LICENSE file)
URL:            http://www.trolltech.com/freebies/tmake.html
Source:	        ftp://ftp.trolltech.com/freebies/tmake/%name-%version.tar.bz2
Requires:       perl >= 5.001
Buildroot:	%_tmppath/%name-%version-root
BuildArch:      noarch

%description
Tmake is an easy-to-use tool for creating and maintaining makefiles across
many platforms and compilers. This is a command-line tool based on project
files. The idea is that you should spend your time writing code, not
makefiles.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d %buildroot%_libdir/%name
install -d %buildroot%_bindir

cp -R lib %buildroot%_libdir/%name
install bin/%name %buildroot%_libdir/%name
install bin/progen %buildroot%_libdir/%name
cat > %buildroot%_bindir/%name <<EOF
export TMAKEPATH=%_libdir/%name/lib/linux-g++
exec %_libdir/%name/tmake "\$@"
EOF
cat > %buildroot%_bindir/progen <<EOF
export TMAKEPATH=%_libdir/%name/lib/linux-g++
exec %_libdir/%name/progen "\$@"
EOF

%clean
rm -rf %buildroot

%files
%defattr(755, root, root)
%doc README LICENSE CHANGES
%doc doc example
%_libdir/tmake
%_bindir/tmake
%_bindir/progen

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.10-2mdk
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- drop Prefix tag

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- from Quel Qun <kelk1@hotmail.com> :
	- Release 1.10
	- Added progen in the file list.

* Tue Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu> 1.8-1mdk
- fix Buildroot
- 1.8
- Copyright --> License

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.7-2mdk
- Rebuilb after six month

* Thu Dec 27 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.7-1mdk
- up to 1.7. 

* Wed Dec 6 2000 Gregory Letoquart <gletoquart@mandrakesoft.com> 1.6-1mdk
- up to 1.6.

* Thu Sep 7 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-3mdk
- fixed a bug in the launching script

* Thu Aug 31 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-2mdk
- minor fixes in the spec

* Tue Aug 29 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.5-1mdk
- packaged 1.5

* Tue Jun 20 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.4-1mdk
- packaged version 1.4
